## vlc 2.0.1

=== debian/changelog ===
vlc (2.0.1-4) unstable; urgency=high

  * Add missing Breaks and Replaces for moving the documentation from vlc-data
    away from /usr/share/doc/vlc before converting the directory into a symlink.
    (Closes: #665743)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Mar 2012 01:56:37 +0200

vlc (2.0.1-3) unstable; urgency=high

  * Replace symlink by directory in /usr/share/doc/vlc-nox.
    (Closes: #665743, LP: #964449)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Mar 2012 13:29:37 +0200

vlc (2.0.1-2) unstable; urgency=high

  * Really add the preinst from Didier Raboud to vlc to drop it's doc directory
    before unpacking a symlink to vlc-nox's over it. (Closes: #613121, #662217)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Mar 2012 01:33:03 +0100

vlc (2.0.1-1) unstable; urgency=high

  * New upstream release (LP: #931318, #943014, #947814).
  * Change build dependency from libpng12-dev to libpng-dev. (Closes: #662539)
  * Add --enable-dbus to configure flags.
  * Drop patches that were backported and accepted by upstream.
  * Add missing libxinerama-dev build dependency for the Skins2 interface.
  * Add libgtk2.0-dev back to build dependencies for the notify plugin.
  * Set urgency to high for security fixes.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 23 Mar 2012 19:03:52 +0100

vlc (2.0.0-6) unstable; urgency=high

  * Fix FTBFS on kFreeBSD (Closes: #661819):
    - Drop --as-needed as it breaks the build fix for kFreeBSD.
    - Enable linsys only on Linux and exclude the plugins from non-Linux.
      Thanks to Cyril Brulebois for the patch.
    - Adapt the vlc-cache-gen linking patch from Sam Hocevar to also link
      vlc with the C++ standard library.
  * Set urgency to high for the RC bug fix.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Mar 2012 22:28:30 +0100

vlc (2.0.0-5) unstable; urgency=low

  * Rewrite v4l kfreebsd patch.
  * Link vlc-cache-gen with the C++ standard library. (Closes: #660934, #660935)
  * Enable hardened build flags through dpkg-buildflags. (Closes: #658030)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Mar 2012 13:37:41 +0100

vlc (2.0.0-4) unstable; urgency=low

  * Enable and install Open Sound System (OSS) plugin.
  * Fix configure flag from --enable-libv4l2 to --enable-v4l2.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 28 Feb 2012 23:31:14 +0100

vlc (2.0.0-3) unstable; urgency=low

  * Fix v4l2 build failure on kfreebsd. (Closes: #660935)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 26 Feb 2012 18:03:39 +0100

vlc (2.0.0-2) unstable; urgency=low

  * Remove nasm and yasm form build dependencies (they are not used).
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Backport patch from upstream to the fix build failures on kfreebsd.
    (Closes: #660935)
  * altivec-cflags.patch: Add missing CFLAGS_* variables to pass the "-maltivec"
    flag. This should fix the build failure on powerpc. (Closes: #660936)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 26 Feb 2012 01:26:21 +0100

vlc (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #499381, #573064, #624027, LP: #455825,
    #573775, #695882, #705151, #708448, #738381, #743581, #747757, #817924,
    #931083).
  * Remove dropped mozilla-plugin-vlc, vlc-plugin-ggi, and vlc-plugin-svgalib.
    The Mozilla browser plug-in is now provided by a separate source tarball.
  * Add new plugins to and remove dropped plugins from vlc-nox.
  * Add new and remove dropped build dependencies:
    + libbluray-dev (for Blu-ray support)
    + libresid-builder-dev
    + libsamplerate0-dev
    + libsidplay2-dev
    + lbspeexdsp-dev
    + libxcb-composite0-dev
    - libgtk2.0-dev
    - xulrunner-dev
  * vlc-plugin-fluidsynth depends on fluid-soundfont-gm or
    musescore-soundfont-gm for having a sound font for playing MIDI files.
  * Drop all patches (they were either backported or accepted by upstream).
  * Update symbols for libvlc5.
  * Install plugins.dat instead of running vlc-cache-gen in postinst.
  * Update minimum version of build dependencies.
  * Change Build-Dependency from libupnp3-dev to unversioned libupnp-dev.
    (Closes: #656831)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Feb 2012 01:29:48 +0100
