=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: autopoint,
               debhelper (>= 7.2.3~),
               dh-autoreconf,
               dh-buildinfo,
               gettext,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev (>= 1.0.16) [linux-any],
               libass-dev (>= 0.9.8),
               libavahi-client-dev,
               libavc1394-dev [linux-any],
               libavcodec-dev (>= 4:0.6),
               libavformat-dev (>= 4:0.6),
               libbluray-dev (>= 1:0.2.1),
               libcaca-dev (>= 0.99.beta4),
               libcddb2-dev,
               libcdio-dev (>= 0.78.2),
               libdc1394-22-dev (>= 2.1.0) [linux-any],
               libdca-dev,
               libdirac-dev,
               libdvbpsi-dev | libdvbpsi5-dev,
               libdvdnav-dev,
               libdvdread-dev (>= 0.9.5),
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfluidsynth-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libggi2-dev,
               libgl1-mesa-dev,
               libglib2.0-0,
               libgnutls-dev (>= 2.0.0),
               libgtk2.0-dev,
               libjack-dev,
               libkate-dev (>= 0.3.0),
               liblircclient-dev,
               liblivemedia-dev (>= 2011.12.23),
               liblua5.1-0-dev,
               libmad0-dev,
               libmatroska-dev (>= 1.0.0),
               libmodplug-dev (>= 1:0.8.8.1),
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmtp-dev (>= 1.0.0),
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev (>= 1.0),
               libpng-dev,
               libpostproc-dev (>= 4:0.6),
               libproxy-dev,
               libpulse-dev (>= 0.9.11),
               libqt4-dev (>= 4.6.0),
               libraw1394-dev (>= 2.0.1) [linux-any],
               libresid-builder-dev,
               librsvg2-dev,
               libsamplerate0-dev,
               libschroedinger-dev (>= 1.0.10),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.10),
               libshout3-dev,
               libsidplay2-dev,
               libsmbclient-dev,
               libspeex-dev (>= 1.0.5),
               libspeexdsp-dev (>= 1.0.5),
               libsvga1-dev [amd64 i386],
               libswscale-dev (>= 4:0.6),
               libtag1-dev (>= 1.5),
               libtar-dev,
               libtheora-dev (>= 1.0),
               libtwolame-dev (>= 0.3.8),
               libudev-dev [linux-any],
               libupnp-dev,
               libv4l-dev [kfreebsd-any linux-any],
               libva-dev [linux-any],
               libvcdinfo-dev (>= 0.7.22),
               libvorbis-dev,
               libx11-dev,
               libx11-xcb-dev,
               libx264-dev (>= 2:0.86),
               libxcb-composite0-dev,
               libxcb-keysyms1-dev (>= 0.3.4),
               libxcb-randr0-dev (>= 1.3),
               libxcb-shm0-dev,
               libxcb-xv0-dev (>= 1.1.90.1),
               libxcb1-dev (>= 1.6),
               libxext-dev,
               libxinerama-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               libzvbi-dev (>= 0.2.28),
               lua5.1,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.videolan.org/vlc/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vlc.git;a=summary

Package: libvlc-dev
Section: libdevel
Architecture: any
Depends: libvlc5 (= ${binary:Version}),
         libvlccore-dev,
         pkg-config,
         ${misc:Depends}
Replaces: libvlc0-dev
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlc5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: vlc (<< 0.8.6.c-6)
Description: multimedia player and streamer library
 This package contains the shared library required by applications using VLC
 features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Depends: libvlccore5 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libvlccore
 This package contains headers and a static library required to build plugins
 for VLC.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlccore5
Section: libs
Architecture: any
Depends: vlc-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: base library for VLC and its modules
 This package contains the shared library required by VLC modules and libvlc.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc
Architecture: any
Depends: ttf-freefont,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-pulse (= ${binary:Version}),
            xdg-utils
Suggests: videolan-doc
Breaks: vlc-data (<< 1.1.5), vlc-nox (<< 1.1.5)
Replaces: vlc-data (<< 1.1.5), vlc-nox (<< 1.1.5)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
 or video plugins (vlc-plugin-sdl).

Package: vlc-data
Depends: ${misc:Depends}
Architecture: all
Breaks: vlc-nox (<< 2.0.1-3)
Replaces: mozilla-plugin-vlc (<< 0.9.2-1),
          vlc (<< 0.9.2-1),
          vlc-nox (<< 2.0.1-3)
Description: Common data for VLC
 Localisations, HTTP interface files, Lua scripts for VLC media player
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for vlc
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the debugging symbols for vlc.

Package: vlc-nox
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: vlc (<< 1.1.0)
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl,
 vlc-plugin-jack) or video plugins (vlc-plugin-sdl).
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: vlc-plugin-fluidsynth
Architecture: any
Depends: fluid-soundfont-gm | musescore-soundfont-gm,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FluidSynth plugin for VLC
 This plugin adds support for playing MIDI file via the FluidSynth software
 synthesizer to the VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc-plugin-jack
Architecture: any
Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Jack audio plugins for VLC
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
 For the jack input, use `vlc jack://channels=...:ports=...'
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc-plugin-notify
Architecture: any
Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: vlc-nox (<< 1.1.2)
Replaces: vlc-nox (<< 1.1.2)
Description: LibNotify plugin for VLC
 This plugin adds support for libnotify track change notification to the
 VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc-plugin-pulse
Architecture: any
Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PulseAudio plugin for VLC
 This plugin adds support for PulseAudio to the VLC media player. To
 activate the audio output module, use the `--aout pulse' flag or
 select the `pulse' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc-nox, ${misc:Depends}, ${shlibs:Depends}
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
