## vlc 2.0.3

=== debian/changelog ===
vlc (2.0.3-5~bpo60+2) squeeze-backports; urgency=low

  * Revert "Drop alternative dependency on transitional ttf-freefont."

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Apr 2013 07:57:26 +0200

vlc (2.0.3-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Apr 2013 17:45:33 +0200

vlc (2.0.3-5) testing; urgency=low

  * vlc-plugin-*: Break vlc-nox (<< 2.0.0) to workaround running an outdated
    vlc-cache-gen. (Closes: #685243)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 04 Mar 2013 16:15:02 +0100

vlc (2.0.3-4) testing; urgency=low

  * SECURITY UPDATE: denial of service via crafted PNG file (Closes: #692130)
    - CVE-2012-5470

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Dec 2012 21:55:05 +0100

vlc (2.0.3-3) unstable; urgency=low

  * debian/vlc.postinst: Fix directory to symlink upgrade in postinst.
    Thanks to David Prévot <taffit@debian.org> (Closes: #687657)
  * debian/vlc.preinst: Remove insufficient fix to #613121 (similar issue).
    Thanks to David Prévot for the patch.
  * Cherry-pick fix for VLC hang caused by the notify plugin. (Closes: #662628,
    LP: #970447)
  * Drop alternative dependency on transitional ttf-freefont.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 04 Oct 2012 20:59:21 +0200

vlc (2.0.3-2) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
    Thanks to Ansgar Burchardt <ansgar@debian.org> (Closes: #683836)
  * Add version to vlc-nox dependency of vlc-plugin-sdl (consistent with other
    plug-ins).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Aug 2012 17:45:01 +0200

vlc (2.0.3-1~bpo60+1) squeeze-backports; urgency=low

  [ Edward Wang ]
  * New upstream release.
  * Disable omxil and crystalhd as they are not found in Squeeze.

  [ Reinhard Tartler ]
  * Add debian/patches/unbreak-with-gcc-4.4.patch to fix mkv playback with gcc-4.4

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Aug 2012 13:18:02 +0200

vlc (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Jul 2012 17:52:21 +0200

vlc (2.0.2-2) unstable; urgency=low

  * Add missing epoch to libqt4-dev build dependency.
  * Drop libggi2-dev from build dependencies (not needed any more).
    (Closes: #680237)
  * The dependency ttf-freefont was renamed to fonts-freefont-ttf.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 07 Jul 2012 19:13:07 +0200

vlc (2.0.2-1) unstable; urgency=medium

  [ Edward Wang ]
  * New upstream release (Closes: #679625, #664279, LP: #689122, #936488,
    #942126, #971106, #972615, #973051, #987231, #995003, #998538).
    - Fix Ogg Heap buffer overflow. Thanks to Hugo Beauzée-Luyssen
  * Add the crystalhd plugin to the vlc distribution.
  * libcaca_plugin.so now depends on X11 in this release, so it must
    be installed under vlc (versus vlc-nox).

  [ Reinhard Tartler ]
  * Urgency set to medium because a security issue is fixed in this release

  [ Benjamin Drung ]
  * Add new plugins to vlc-nox:
    - crystalhd (Linux amd64 and i386 only)
    - directfb
    - fbosd (Linux only)
    - omxil (Linux only)
  * Add build dependencies for new plugins.
  * Add new symbols to libvlccore5.
  * Switch to debhelper 8.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 30 Jun 2012 18:39:41 +0200

vlc (2.0.1-4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable dirac support as libschroedinger is too old in squeeze. It
    will be re-enabled as soon as an updated package reaches squeeze-backports

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 May 2012 19:47:34 +0200
