=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Reinhard Tartler <siretart@tauware.de>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: autopoint,
-               debhelper (>= 7.2.3~),
+               debhelper (>= 8),
                dh-autoreconf,
                dh-buildinfo,
                gettext,
@@ -29,6 +29,7 @@
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
                libdirac-dev,
+               libdirectfb-dev,
                libdvbpsi-dev | libdvbpsi5-dev,
                libdvdnav-dev,
                libdvdread-dev (>= 0.9.5),
@@ -37,11 +38,11 @@
                libfluidsynth-dev,
                libfreetype6-dev,
                libfribidi-dev,
-               libggi2-dev,
                libgl1-mesa-dev,
                libglib2.0-0,
                libgnutls-dev (>= 2.0.0),
                libgtk2.0-dev,
+               libiso9660-dev (>= 0.72),
                libjack-dev,
                libkate-dev (>= 0.3.0),
                liblircclient-dev,
@@ -60,12 +61,11 @@
                libpostproc-dev (>= 4:0.6),
                libproxy-dev,
                libpulse-dev (>= 0.9.11),
-               libqt4-dev (>= 4.6.0),
+               libqt4-dev (>= 4:4.6.0),
                libraw1394-dev (>= 2.0.1) [linux-any],
                libresid-builder-dev,
                librsvg2-dev,
                libsamplerate0-dev,
-               libschroedinger-dev (>= 1.0.10),
                libsdl-image1.2-dev,
                libsdl1.2-dev (>= 1.2.10),
                libshout3-dev,
@@ -111,6 +111,7 @@
 Package: libvlc-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libvlc5 (= ${binary:Version}),
          libvlccore-dev,
          pkg-config,
@@ -127,6 +128,7 @@
 Package: libvlc5
 Section: libs
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: vlc (<< 0.8.6.c-6)
 Description: multimedia player and streamer library
@@ -140,6 +142,7 @@
 Package: libvlccore-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libvlccore5 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: development files for libvlccore
  This package contains headers and a static library required to build plugins
@@ -152,6 +155,7 @@
 Package: libvlccore5
 Section: libs
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: base library for VLC and its modules
  This package contains the shared library required by VLC modules and libvlc.
@@ -162,7 +166,8 @@
 
 Package: vlc
 Architecture: any
-Depends: ttf-freefont,
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: fonts-freefont-ttf | ttf-freefont,
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -170,8 +175,8 @@
             vlc-plugin-pulse (= ${binary:Version}),
             xdg-utils
 Suggests: videolan-doc
-Breaks: vlc-data (<< 1.1.5), vlc-nox (<< 1.1.5)
-Replaces: vlc-data (<< 1.1.5), vlc-nox (<< 1.1.5)
+Breaks: vlc-data (<< 1.1.5), vlc-nox (<< 2.0.2)
+Replaces: vlc-data (<< 1.1.5), vlc-nox (<< 2.0.2)
 Provides: mp3-decoder
 Description: multimedia player and streamer
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -189,6 +194,7 @@
  or video plugins (vlc-plugin-sdl).
 
 Package: vlc-data
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Architecture: all
 Breaks: vlc-nox (<< 2.0.1-3)
@@ -206,6 +212,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for vlc
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -216,6 +223,7 @@
 
 Package: vlc-nox
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: vlc (<< 1.1.0)
 Provides: mp3-decoder
@@ -239,10 +247,12 @@
 
 Package: vlc-plugin-fluidsynth
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: fluid-soundfont-gm | musescore-soundfont-gm,
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: vlc-nox (<< 2.0.0)
 Description: FluidSynth plugin for VLC
  This plugin adds support for playing MIDI file via the FluidSynth software
  synthesizer to the VLC media player.
@@ -253,7 +263,9 @@
 
 Package: vlc-plugin-jack
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: vlc-nox (<< 2.0.0)
 Description: Jack audio plugins for VLC
  These plugins add support for JACK to the VLC media player. To
  activate the audio output module, use the `--aout jack' flag or
@@ -266,8 +278,9 @@
 
 Package: vlc-plugin-notify
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: vlc-nox (<< 1.1.2)
+Breaks: vlc-nox (<< 2.0.0)
 Replaces: vlc-nox (<< 1.1.2)
 Description: LibNotify plugin for VLC
  This plugin adds support for libnotify track change notification to the
@@ -279,7 +292,9 @@
 
 Package: vlc-plugin-pulse
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: vlc-nox (<< 2.0.0)
 Description: PulseAudio plugin for VLC
  This plugin adds support for PulseAudio to the VLC media player. To
  activate the audio output module, use the `--aout pulse' flag or
@@ -287,14 +302,3 @@
  .
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
- podcasts, and multimedia streams from various network sources.
-
-Package: vlc-plugin-sdl
-Architecture: any
-Depends: vlc-nox, ${misc:Depends}, ${shlibs:Depends}
-Description: SDL video and audio output plugin for VLC
- This plugin adds support for the Simple DirectMedia Layer library to
- the VLC media player. To activate it, use the `--vout sdl' or
- `--aout sdl' flags or select the `sdl' video or audio output plugin
- from the preferences menu.
- .
