## vlc 2.0.4

=== debian/changelog ===
vlc (2.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1067064).
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * Drop backported bp-fix-hang-caused-by-notify.patch.
  * Build the sftp access and Opus codec plugin and add them to vlc-nox.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 15 Oct 2012 22:28:55 +0200
