=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Clément Stenac <zorglub@debian.org>,
            Loic Minier <lool@dooz.org>,
@@ -26,6 +27,7 @@
                libcaca-dev (>= 0.99.beta4),
                libcddb2-dev,
                libcdio-dev (>= 0.78.2),
+               libcrystalhd-dev [amd64 i386],
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
                libdirac-dev,
@@ -57,6 +59,7 @@
                libncursesw5-dev,
                libnotify-dev,
                libogg-dev (>= 1.0),
+               libomxil-bellagio-dev [linux-any],
                libpng-dev,
                libpostproc-dev (>= 4:0.6),
                libproxy-dev,
@@ -66,6 +69,7 @@
                libresid-builder-dev,
                librsvg2-dev,
                libsamplerate0-dev,
+               libschroedinger-dev (>= 1.0.10),
                libsdl-image1.2-dev,
                libsdl1.2-dev (>= 1.2.10),
                libshout3-dev,
@@ -111,7 +115,6 @@
 Package: libvlc-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libvlc5 (= ${binary:Version}),
          libvlccore-dev,
          pkg-config,
@@ -128,7 +131,6 @@
 Package: libvlc5
 Section: libs
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: vlc (<< 0.8.6.c-6)
 Description: multimedia player and streamer library
@@ -142,7 +144,6 @@
 Package: libvlccore-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libvlccore5 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: development files for libvlccore
  This package contains headers and a static library required to build plugins
@@ -155,7 +156,6 @@
 Package: libvlccore5
 Section: libs
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: base library for VLC and its modules
  This package contains the shared library required by VLC modules and libvlc.
@@ -166,8 +166,7 @@
 
 Package: vlc
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: fonts-freefont-ttf | ttf-freefont,
+Depends: ttf-freefont,
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -194,7 +193,6 @@
  or video plugins (vlc-plugin-sdl).
 
 Package: vlc-data
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Architecture: all
 Breaks: vlc-nox (<< 2.0.1-3)
@@ -212,7 +210,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for vlc
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -223,7 +220,6 @@
 
 Package: vlc-nox
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: vlc (<< 1.1.0)
 Provides: mp3-decoder
@@ -247,12 +243,10 @@
 
 Package: vlc-plugin-fluidsynth
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: fluid-soundfont-gm | musescore-soundfont-gm,
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: vlc-nox (<< 2.0.0)
 Description: FluidSynth plugin for VLC
  This plugin adds support for playing MIDI file via the FluidSynth software
  synthesizer to the VLC media player.
@@ -263,9 +257,7 @@
 
 Package: vlc-plugin-jack
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: vlc-nox (<< 2.0.0)
 Description: Jack audio plugins for VLC
  These plugins add support for JACK to the VLC media player. To
  activate the audio output module, use the `--aout jack' flag or
@@ -278,9 +270,8 @@
 
 Package: vlc-plugin-notify
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: vlc-nox (<< 2.0.0)
+Breaks: vlc-nox (<< 1.1.2)
 Replaces: vlc-nox (<< 1.1.2)
 Description: LibNotify plugin for VLC
  This plugin adds support for libnotify track change notification to the
@@ -292,9 +283,7 @@
 
 Package: vlc-plugin-pulse
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: vlc-nox (<< 2.0.0)
 Description: PulseAudio plugin for VLC
  This plugin adds support for PulseAudio to the VLC media player. To
  activate the audio output module, use the `--aout pulse' flag or
@@ -302,3 +291,9 @@
  .
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
+
+Package: vlc-plugin-sdl
+Architecture: any
+Depends: vlc-nox, ${misc:Depends}, ${shlibs:Depends}
+Description: SDL video and audio output plugin for VLC
