=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	--enable-qt4 \
 	--enable-realrtsp \
 	--enable-samplerate \
+	--enable-schroedinger \
 	--enable-sdl \
 	--enable-shout \
 	--enable-skins2 \
@@ -104,8 +105,6 @@
 # projectm -> broken
 # sqlite -> still in development
 # telx -> incompatible with zvbi
-# crystalhd -> not in squeeze
-# omxil -> not in squeeze
 confflags += \
 	--disable-dxva2 \
 	--disable-gnomevfs \
@@ -114,16 +113,12 @@
 	--disable-projectm \
 	--disable-sqlite \
 	--disable-telx \
-	--disable-crystalhd \
-    --disable-omxil \
-	$(NULL)
-removeplugins += \
-	libcrystalhd \
-	libomxil \
 	$(NULL)
 
 # Linux specific flags
 ifeq ($(DEB_HOST_ARCH_OS),linux)
+# omxil should be enabled on all systems, but libomxil-bellagio does
+# not build on kfreebsd and hurd (currently)
 confflags += \
 	--enable-alsa \
 	--enable-atmo \
@@ -132,6 +127,7 @@
 	--enable-fbosd \
 	--enable-libva \
 	--enable-linsys \
+	--enable-omxil \
 	--enable-pvr \
 	--enable-udev \
 	$(NULL)
@@ -171,6 +167,14 @@
 removeplugins += libv4l2
 endif
 
+# Linux amd64 and i386 specific flags
+ifneq ($(filter $(DEB_HOST_ARCH),amd64 i386),)
+confflags += --enable-crystalhd
+else
+confflags += --disable-crystalhd
+removeplugins += libcrystalhd
+endif
+
 # amd64 and i386 specific optimizations
 ifneq ($(filter $(DEB_HOST_ARCH_CPU),amd64 i386),)
 confflags += --enable-mmx --enable-sse
@@ -197,6 +201,9 @@
 
 %:
 	dh $@ --parallel --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_clean:
 	[ ! -f debian/vlc-nox.install.bak ] || mv -f debian/vlc-nox.install.bak debian/vlc-nox.install
@@ -279,6 +286,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog -p vlc-data
 	dh_installchangelogs ChangeLog -p vlc-nox
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
