=== debian/watch ===
version=3
ftp://ftp.videolan.org/pub/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.xz
